ros-rolling-tf2-tools (0.31.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 13 Apr 2023 00:00:00 -0000

ros-rolling-tf2-tools (0.31.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-tf2-tools (0.31.0-1jammy) jammy; urgency=high

  * Enable document generation using rosdoc2 for ament_python pkgs (#587 <https://github.com/ros2/geometry2/issues/587>)
  * Contributors: Yadu

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 11 Apr 2023 00:00:00 -0000

ros-rolling-tf2-tools (0.30.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-tf2-tools (0.29.0-1jammy) jammy; urgency=high

  * Update maintainers (#560 <https://github.com/ros2/geometry2/issues/560>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Nov 2022 00:00:00 -0000

ros-rolling-tf2-tools (0.28.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-tf2-tools (0.27.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-tf2-tools (0.26.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 15 Aug 2022 00:00:00 -0000

ros-rolling-tf2-tools (0.26.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 24 Jun 2022 00:00:00 -0000

ros-rolling-tf2-tools (0.26.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 29 Apr 2022 00:00:00 -0000

ros-rolling-tf2-tools (0.25.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-tf2-tools (0.24.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 31 Mar 2022 00:00:00 -0000

ros-rolling-tf2-tools (0.23.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 28 Mar 2022 00:00:00 -0000

ros-rolling-tf2-tools (0.22.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Mar 2022 00:00:00 -0000

ros-rolling-tf2-tools (0.21.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Jan 2022 00:00:00 -0000

ros-rolling-tf2-tools (0.20.0-1jammy) jammy; urgency=high

  * Update maintainers to Alejandro Hernandez Cordero and Chris Lalancette (#481 <https://github.com/ros2/geometry2/issues/481>)
  * Contributors: Audrow Nash

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 17 Dec 2021 00:00:00 -0000

ros-rolling-tf2-tools (0.19.0-1jammy) jammy; urgency=high

  * Remove unused import (#465 <https://github.com/ros2/geometry2/issues/465>)
  * Adding date-time to frames filename (#454 <https://github.com/ros2/geometry2/issues/454>)
  * Contributors: Hannu Henttinen, Nisala Kalupahana

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Oct 2021 00:00:00 -0000

ros-rolling-tf2-tools (0.18.0-1jammy) jammy; urgency=high

  * Use underscores instead of dashes in setup.cfg. (#403 <https://github.com/ros2/geometry2/issues/403>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 01 Jun 2021 00:00:00 -0000

ros-rolling-tf2-tools (0.17.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 06 Apr 2021 00:00:00 -0000

ros-rolling-tf2-tools (0.17.0-1jammy) jammy; urgency=high

  * Add wait time option to view_frames (#374 <https://github.com/ros2/geometry2/issues/374>)
  * Contributors: Jacob Perron

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 19 Mar 2021 00:00:00 -0000

ros-rolling-tf2-tools (0.16.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 25 Jan 2021 00:00:00 -0000

ros-rolling-tf2-tools (0.15.1-1jammy) jammy; urgency=high

  * Cleanup tf2_tools to be more modern. (#351 <https://github.com/ros2/geometry2/issues/351>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 08 Dec 2020 00:00:00 -0000

ros-rolling-tf2-tools (0.15.0-1jammy) jammy; urgency=high

  * Update maintainers of the ros2/geometry2 fork. (#328 <https://github.com/ros2/geometry2/issues/328>)
  * Contributors: Chris Lalancette

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 02 Nov 2020 00:00:00 -0000

ros-rolling-tf2-tools (0.14.1-1jammy) jammy; urgency=high

  * Address security bug in yaml loading (#313 <https://github.com/ros2/geometry2/issues/313>)
  * Contributors: Víctor Mayoral Vilches

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 21 Sep 2020 00:00:00 -0000

ros-rolling-tf2-tools (0.14.0-1jammy) jammy; urgency=high

  * Split tf2_ros in tf2_ros and tf2_ros_py (#210 <https://github.com/ros2/geometry2/issues/210>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Aug 2020 00:00:00 -0000

ros-rolling-tf2-tools (0.13.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 03 Jun 2020 00:00:00 -0000

ros-rolling-tf2-tools (0.13.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 26 May 2020 00:00:00 -0000

ros-rolling-tf2-tools (0.13.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 18 May 2020 00:00:00 -0000

ros-rolling-tf2-tools (0.13.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 08 May 2020 00:00:00 -0000

ros-rolling-tf2-tools (0.13.0-1jammy) jammy; urgency=high

  * Added doxyfiles and sphinx Makefiles (#257 <https://github.com/ros2/geometry2/issues/257>)
  * tf2_tools update the shebang line (#226 <https://github.com/ros2/geometry2/issues/226>)
  * Adding support for view_frame (#192 <https://github.com/ros2/geometry2/issues/192>)
  * Contributors: Alejandro Hernández Cordero

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 30 Apr 2020 00:00:00 -0000

ros-rolling-tf2-tools (0.5.15-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 24 Jan 2017 00:00:00 -0000

ros-rolling-tf2-tools (0.5.14-1jammy) jammy; urgency=high

  * Remove old load_manifest from view_frames (#182 <https://github.com/ros/geometry2/issues/182>)
  * Contributors: Jochen Sprickerhof

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 16 Jan 2017 00:00:00 -0000

ros-rolling-tf2-tools (0.5.13-1jammy) jammy; urgency=high

  * casted el to string in view_frames
  * Contributors: g_gemignani

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 04 Mar 2016 00:00:00 -0000

ros-rolling-tf2-tools (0.5.12-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 05 Aug 2015 00:00:00 -0000

ros-rolling-tf2-tools (0.5.11-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 22 Apr 2015 00:00:00 -0000

ros-rolling-tf2-tools (0.5.10-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 21 Apr 2015 00:00:00 -0000

ros-rolling-tf2-tools (0.5.9-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 25 Mar 2015 00:00:00 -0000

ros-rolling-tf2-tools (0.5.8-1jammy) jammy; urgency=high

  * remove useless Makefile files
  * Contributors: Vincent Rabaud

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 17 Mar 2015 00:00:00 -0000

ros-rolling-tf2-tools (0.5.7-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 23 Dec 2014 00:00:00 -0000

ros-rolling-tf2-tools (0.5.6-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 18 Sep 2014 00:00:00 -0000

ros-rolling-tf2-tools (0.5.5-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Mon, 23 Jun 2014 00:00:00 -0000

ros-rolling-tf2-tools (0.5.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 07 May 2014 00:00:00 -0000

ros-rolling-tf2-tools (0.5.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 21 Feb 2014 00:00:00 -0000

ros-rolling-tf2-tools (0.5.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 20 Feb 2014 00:00:00 -0000

ros-rolling-tf2-tools (0.5.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Feb 2014 00:00:00 -0000

ros-rolling-tf2-tools (0.5.0-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 14 Feb 2014 00:00:00 -0000

ros-rolling-tf2-tools (0.4.10-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 26 Dec 2013 00:00:00 -0000

ros-rolling-tf2-tools (0.4.9-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 06 Nov 2013 00:00:00 -0000

ros-rolling-tf2-tools (0.4.8-1jammy) jammy; urgency=high

  * updating install rule for view_frames.py fixes #44 <https://github.com/ros/geometry_experimental/issues/44>

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 06 Nov 2013 00:00:00 -0000

ros-rolling-tf2-tools (0.4.7-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 28 Aug 2013 00:00:00 -0000

ros-rolling-tf2-tools (0.4.6-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 28 Aug 2013 00:00:00 -0000

ros-rolling-tf2-tools (0.4.5-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 11 Jul 2013 00:00:00 -0000

ros-rolling-tf2-tools (0.4.4-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Tue, 09 Jul 2013 00:00:00 -0000

ros-rolling-tf2-tools (0.4.3-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 05 Jul 2013 00:00:00 -0000

ros-rolling-tf2-tools (0.4.2-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 05 Jul 2013 00:00:00 -0000

ros-rolling-tf2-tools (0.4.1-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 05 Jul 2013 00:00:00 -0000

ros-rolling-tf2-tools (0.4.0-1jammy) jammy; urgency=high

  * splitting rospy dependency into tf2_py so tf2 is pure c++ library.
  * Restoring test packages and bullet packages.
    reverting 3570e8c42f9b394ecbfd9db076b920b41300ad55 to get back more of the packages previously implemented
    reverting 04cf29d1b58c660fdc999ab83563a5d4b76ab331 to fix #7 <https://github.com/ros/geometry_experimental/issues/7>

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 27 Jun 2013 00:00:00 -0000

ros-rolling-tf2-tools (0.3.6-1jammy) jammy; urgency=high



 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Sun, 03 Mar 2013 00:00:00 -0000

ros-rolling-tf2-tools (0.3.5-1jammy) jammy; urgency=high

  * 0.3.4 -> 0.3.5

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Feb 2013 14:46:00 -0000

ros-rolling-tf2-tools (0.3.4-1jammy) jammy; urgency=high

  * 0.3.3 -> 0.3.4

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Feb 2013 13:14:00 -0000

ros-rolling-tf2-tools (0.3.3-1jammy) jammy; urgency=high

  * 0.3.2 -> 0.3.3

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Feb 2013 11:30:00 -0000

ros-rolling-tf2-tools (0.3.2-1jammy) jammy; urgency=high

  * 0.3.1 -> 0.3.2

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Fri, 15 Feb 2013 00:42:00 -0000

ros-rolling-tf2-tools (0.3.1-1jammy) jammy; urgency=high

  * 0.3.0 -> 0.3.1

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Thu, 14 Feb 2013 00:00:00 -0000

ros-rolling-tf2-tools (0.3.0-1jammy) jammy; urgency=high

  * switching to version 0.3.0
  * removing packages with missing deps
  * catkinizing geometry-experimental
  * catkinizing tf2_tools
  * strip out rx dependencies
  * Some fixes to make things work with rxbag
  * Threading ns list
  * merge tf2_cpp and tf2_py into tf2_ros
  * Now catching exceptions correctly with echo
  * Working version of tf echo
  * Making sure to clear details when switching frames
  * Changing file format to tf
  * First cut at loading, saving, and exporting support
  * tf frame viewer is now an rxbag plugin
  * Can now connect to any node in the system that has a tf2 buffer
  * Now populates namespaces as well
  * Now populates a frame list on the fly
  * Got the GUI set up for a bunch of features, now just have to implement the backend of them
  * Persistent service call to speed things up. Also, coloring on click
  * Adding a first version of frame_viewer
  * Adding xdot as a dep in prep for frame_viewer
  * working view frames
  * call new service
  * new version of view_frames in new tf2_tools package

 -- Alejandro Hernandez Cordero <alejandro@openrobotics.org>  Wed, 13 Feb 2013 00:00:00 -0000


